@extends('layouts.default')
@section('scripts')
    {{ Jqgrid::scripts() }}

    <script type="text/javascript">
	    var selectedRow = '';
	    var estado      = '';

        $(document).ready(function() {
		   $('#jqgrid').jqGrid({
                url: '{{{ url("envasado/datagrid") }}}',
                colModel: {{ Jqgrid::js_colmodel() }},
                gridComplete: function() {
                    $.jgrid.defaults.gridComplete();
                    $('#btn_eliminar>div.btn').addClass('disabled'); // deshabilita boton eliminar
                },
                onSelectRow: function(row_id) {
                    row_data = $("#jqgrid").getRowData(row_id);
                    if(row_data['ESTADO'] == 'Pendiente') {
                        $('#btn_editar>div.btn').removeClass('disabled'); //habilita boton eliminar
                        $('#fabricacion_editar_id').val(row_data['NUMREG']); // setear id planificacion

                        $('#btn_eliminar>div.btn').removeClass('disabled'); //habilita boton eliminar
                        $('#fabricacion_eliminar_id').val(row_data['NUMREG']); // setear id planificacion
                    }
                    selectedRow = row_data['NUMREG'];
                    estado      = row_data['ESTADO1'];
                },
				sortname: 'NUMREG', 
				sortorder: 'desc'
            });

            $('#jqgrid').jqGrid('filterToolbar', {stringResult: true, searchOnEnter: false, defaultSearch: 'cn'});

            // Botones
            $('#jqgrid').jqGrid('navGrid', '#jqgrid_pager', {add: false, edit: false, del: false, search: false});

            @if(can('fabricacion_editar'))
            //Botón editar fórmula
            $('#jqgrid').jqGrid('navButtonAdd', '#jqgrid_pager', {caption: '', buttonicon: 'fa fa-pencil',
                onClickButton: function() {
                    localStorage.removeItem('envasado.'+selectedRow);
                    if($('#btn_editar>div.btn').hasClass('disabled')) return false;
                    if(localStorage.getItem('envasado.'+selectedRow) != null) {
                        if(!confirm('Existe un ingreso Pendiente!\nPresionar Cancelar para iniciar un nuevo ingreso.\nPresionar Aceptar para continuar con ingreso pendiente.')) {
                            localStorage.removeItem('envasado.'+selectedRow);
                        }
                    }
                    estado = 1;
					if (estado != 1)
                    {
                       mensaje = {'content' : 'Pedido ya fue reservado', "type" : "error", "timeout" : 5000};
                       notification(mensaje, "big");
                    }
                    else 
					{
                       window.location = "{{ url('envasado/editar') }}/" + selectedRow;
                    }
                },
                position: 'last', title: 'Editar Fabricación', cursor: 'pointer', id: 'btn_editar'}
            );
            @endif

		});
    </script>
@endsection

@section('content')
@include('subviews.jqgrid_widget')

@endsection